Bug 145824 - New Ports: devel/{p4,p4d,p4p,p4ftpd,p4web}
New Ports: devel/{p4,p4d,p4p,p4ftpd,p4web}
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Rene Ladan
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-19 07:40 UTC by gordon
Modified: 2010-05-21 00:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gordon 2010-04-19 07:40:00 UTC
	Please remove the old devel/perforce port and replace with this
	set of ports. The old port rolled the client and all of the
	various servers into a single port, which was undesirable.

	Patch located at:
	http://people.freebsd.org/~gordon/patches/p4-ports.shar

Fix: 

See archive located at:
	http://people.freebsd.org/~gordon/patches/p4-ports.shar
Comment 1 Rene Ladan freebsd_committer 2010-04-19 17:31:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 2 Rene Ladan freebsd_committer 2010-04-19 20:55:48 UTC
There are some problems with this PR:
* distinfo of devel/p4d seems incorrect
* leftover files and/or directories in p4web, p4p, p4ftpd (should be
easy to fix)

Tinderbox logs for i386 are at http://rene-ladan.nl/tb/logs/[67]-FreeBSD/
Comment 3 gordon 2010-04-19 22:13:55 UTC
On Mon, Apr 19, 2010 at 12:55 PM, Rene Ladan <rene@freebsd.org> wrote:

> There are some problems with this PR:
> * distinfo of devel/p4d seems incorrect
> * leftover files and/or directories in p4web, p4p, p4ftpd (should be
> easy to fix)
>
> Tinderbox logs for i386 are at http://rene-ladan.nl/tb/logs/[67]-FreeBSD/
>

Thanks for the tinderbox run. Looks like the vendor just updated p4d. I've
updated the patch located at:
http://people.freebsd.org/~gordon/patches/p4-ports.shar

As for the others, the files left behind are due to the p4admin user being
added to the system. Is there some responsibility on the port to remove the
users added?

Thanks,
Gordon
Comment 4 Rene Ladan freebsd_committer 2010-04-26 19:40:34 UTC
This is a multi-part message in MIME format.
Comment 5 gordon 2010-04-26 19:50:55 UTC
On Mon, Apr 26, 2010 at 11:40 AM, Rene Ladan <rene@freebsd.org> wrote:

> I think the best would be to:
> * ask for a repocopy for devel/perforce to devel/p4 , possibly extending
> to the other new ports as well
> * add a line to MOVED (patch attached, entry date might change)
> * change the home directory of the p4admin user in UIDs (patch attached)
> * after the repocopy(ies), replace the contents with those found in the
> shell archive at http://people.freebsd.org/~gordon/patches/p4-ports.shar


Looks great to me.

Thanks!
Gordon
Comment 6 Thomas Abthorpe freebsd_committer 2010-04-26 20:13:13 UTC
On Mon, Apr 26, 2010 at 11:50:55AM -0700, Gordon Tetlow wrote:
> On Mon, Apr 26, 2010 at 11:40 AM, Rene Ladan <rene@freebsd.org> wrote:
> 
> > I think the best would be to:
> > * ask for a repocopy for devel/perforce to devel/p4 , possibly extending
> > to the other new ports as well
> > * add a line to MOVED (patch attached, entry date might change)
> > * change the home directory of the p4admin user in UIDs (patch attached)
> > * after the repocopy(ies), replace the contents with those found in the
> > shell archive at http://people.freebsd.org/~gordon/patches/p4-ports.shar
> 
> 
> Looks great to me.
> 
> Thanks!
> Gordon


I replied to Rene, but neglected the /all, looks good to me, too!


Thomas

-- 
Thomas Abthorpe		| FreeBSD Committer
tabthorpe@FreeBSD.org	| http://people.freebsd.org/~tabthorpe
Comment 7 dfilter freebsd_committer 2010-05-03 21:23:42 UTC
rene        2010-05-03 20:23:28 UTC

  FreeBSD ports repository

  Modified files:
    devel/p4             Makefile distinfo.freebsd60x86 
                         distinfo.freebsd60x86_64 
                         distinfo.freebsd61sparc64 
  Added files:
    devel/p4             Makefile.inc distinfo.freebsd54x86 
                         distinfo.freebsd54x86_64 
                         distinfo.freebsd70x86 
                         distinfo.freebsd70x86_64 
  Removed files:
    devel/p4             pkg-install pkg-plist 
    devel/p4/files       perforce.conf.in perforce.sh.in 
  Log:
  p4 is the client part of the Perforce Control System.
  Update to 2009.2.238357
  
  For the server-related parts, use devel/perforce
  
  PR:             ports/145824
  Submitted by:   gordon
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.85      +16 -96    ports/devel/p4/Makefile
  1.1       +32 -0     ports/devel/p4/Makefile.inc (new)
  1.17      +3 -0      ports/devel/p4/distinfo.freebsd54x86 (new)
  1.18      +3 -0      ports/devel/p4/distinfo.freebsd54x86_64 (new)
  1.11      +3 -15     ports/devel/p4/distinfo.freebsd60x86
  1.11      +3 -15     ports/devel/p4/distinfo.freebsd60x86_64
  1.15      +3 -15     ports/devel/p4/distinfo.freebsd61sparc64
  1.1       +3 -0      ports/devel/p4/distinfo.freebsd70x86 (new)
  1.1       +3 -0      ports/devel/p4/distinfo.freebsd70x86_64 (new)
  1.4       +0 -75     ports/devel/p4/files/perforce.conf.in (dead)
  1.9       +0 -62     ports/devel/p4/files/perforce.sh.in (dead)
  1.6       +0 -52     ports/devel/p4/pkg-install (dead)
  1.5       +0 -4      ports/devel/p4/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter freebsd_committer 2010-05-03 21:26:06 UTC
rene        2010-05-03 20:25:58 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Log:
  Hook up devel/p4 to the build.
  
  PR:             ports/145824
  Submitted by:   gordon
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.3910    +1 -0      ports/devel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter freebsd_committer 2010-05-10 15:59:15 UTC
rene        2010-05-10 14:58:08 UTC

  FreeBSD ports repository

  Modified files:
    devel/p4d            Makefile distinfo.freebsd60x86 
                         distinfo.freebsd60x86_64 
                         distinfo.freebsd61sparc64 pkg-plist 
  Added files:
    devel/p4d            distinfo.freebsd54x86 
                         distinfo.freebsd54x86_64 
                         distinfo.freebsd70x86 
                         distinfo.freebsd70x86_64 pkg-message 
    devel/p4d/files      p4d.sh.in 
  Removed files:
    devel/p4d            pkg-install 
    devel/p4d/files      perforce.conf.in perforce.sh.in 
  Log:
  P4 daemon, version 2009.2.241896
  
  http://www.perforce.com/perforce/products/p4d.html
  
  PR:             ports/145824
  Submitted by:   gordon
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.85      +40 -94    ports/devel/p4d/Makefile
  1.17      +3 -0      ports/devel/p4d/distinfo.freebsd54x86 (new)
  1.18      +3 -0      ports/devel/p4d/distinfo.freebsd54x86_64 (new)
  1.11      +3 -15     ports/devel/p4d/distinfo.freebsd60x86
  1.11      +3 -15     ports/devel/p4d/distinfo.freebsd60x86_64
  1.15      +3 -15     ports/devel/p4d/distinfo.freebsd61sparc64
  1.1       +3 -0      ports/devel/p4d/distinfo.freebsd70x86 (new)
  1.1       +3 -0      ports/devel/p4d/distinfo.freebsd70x86_64 (new)
  1.1       +46 -0     ports/devel/p4d/files/p4d.sh.in (new)
  1.5       +0 -75     ports/devel/p4d/files/perforce.conf.in (dead)
  1.10      +0 -62     ports/devel/p4d/files/perforce.sh.in (dead)
  1.6       +0 -52     ports/devel/p4d/pkg-install (dead)
  1.1       +9 -0      ports/devel/p4d/pkg-message (new)
  1.5       +2 -4      ports/devel/p4d/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter freebsd_committer 2010-05-10 16:01:09 UTC
rene        2010-05-10 15:00:26 UTC

  FreeBSD ports repository

  Modified files:
    devel/p4ftpd         Makefile distinfo.freebsd60x86 
                         distinfo.freebsd60x86_64 
                         distinfo.freebsd61sparc64 pkg-plist 
  Added files:
    devel/p4ftpd         distinfo.freebsd54x86 
                         distinfo.freebsd54x86_64 
                         distinfo.freebsd70x86 
                         distinfo.freebsd70x86_64 
    devel/p4ftpd/files   p4ftpd.sh.in 
  Removed files:
    devel/p4ftpd         pkg-install 
    devel/p4ftpd/files   perforce.conf.in perforce.sh.in 
  Log:
  P4 FTP plugin, version 2009.2.240317
  
  http://www.perforce.com/perforce/products/p4ftp.html
  
  PR:             ports/145824
  Submitted by:   gordon
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.85      +29 -94    ports/devel/p4ftpd/Makefile
  1.17      +3 -0      ports/devel/p4ftpd/distinfo.freebsd54x86 (new)
  1.18      +3 -0      ports/devel/p4ftpd/distinfo.freebsd54x86_64 (new)
  1.11      +3 -15     ports/devel/p4ftpd/distinfo.freebsd60x86
  1.11      +3 -15     ports/devel/p4ftpd/distinfo.freebsd60x86_64
  1.15      +3 -15     ports/devel/p4ftpd/distinfo.freebsd61sparc64
  1.1       +3 -0      ports/devel/p4ftpd/distinfo.freebsd70x86 (new)
  1.1       +3 -0      ports/devel/p4ftpd/distinfo.freebsd70x86_64 (new)
  1.1       +45 -0     ports/devel/p4ftpd/files/p4ftpd.sh.in (new)
  1.5       +0 -75     ports/devel/p4ftpd/files/perforce.conf.in (dead)
  1.10      +0 -62     ports/devel/p4ftpd/files/perforce.sh.in (dead)
  1.6       +0 -52     ports/devel/p4ftpd/pkg-install (dead)
  1.5       +2 -4      ports/devel/p4ftpd/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter freebsd_committer 2010-05-10 16:02:30 UTC
rene        2010-05-10 15:02:18 UTC

  FreeBSD ports repository

  Modified files:
    devel/p4p            Makefile distinfo.freebsd60x86 
                         distinfo.freebsd60x86_64 
                         distinfo.freebsd61sparc64 pkg-plist 
  Added files:
    devel/p4p            distinfo.freebsd54x86 
                         distinfo.freebsd54x86_64 
                         distinfo.freebsd70x86 
                         distinfo.freebsd70x86_64 
    devel/p4p/files      p4p.sh.in 
  Removed files:
    devel/p4p            pkg-install 
    devel/p4p/files      perforce.conf.in perforce.sh.in 
  Log:
  P4 proxy, version 2009.2.238357
  
  http://www.perforce.com/perforce/products/p4p.html
  
  PR:             ports/145824
  Submitted by:   gordon
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.85      +39 -94    ports/devel/p4p/Makefile
  1.17      +3 -0      ports/devel/p4p/distinfo.freebsd54x86 (new)
  1.18      +3 -0      ports/devel/p4p/distinfo.freebsd54x86_64 (new)
  1.11      +3 -15     ports/devel/p4p/distinfo.freebsd60x86
  1.11      +3 -15     ports/devel/p4p/distinfo.freebsd60x86_64
  1.15      +3 -15     ports/devel/p4p/distinfo.freebsd61sparc64
  1.1       +3 -0      ports/devel/p4p/distinfo.freebsd70x86 (new)
  1.1       +3 -0      ports/devel/p4p/distinfo.freebsd70x86_64 (new)
  1.1       +49 -0     ports/devel/p4p/files/p4p.sh.in (new)
  1.5       +0 -75     ports/devel/p4p/files/perforce.conf.in (dead)
  1.10      +0 -62     ports/devel/p4p/files/perforce.sh.in (dead)
  1.6       +0 -52     ports/devel/p4p/pkg-install (dead)
  1.5       +2 -4      ports/devel/p4p/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter freebsd_committer 2010-05-10 16:05:16 UTC
rene        2010-05-10 15:04:57 UTC

  FreeBSD ports repository

  Modified files:
    devel/p4web          Makefile distinfo.freebsd60x86 
                         distinfo.freebsd60x86_64 
                         distinfo.freebsd61sparc64 pkg-plist 
  Added files:
    devel/p4web          distinfo.freebsd54x86 
                         distinfo.freebsd54x86_64 
                         distinfo.freebsd70x86 
                         distinfo.freebsd70x86_64 
    devel/p4web/files    p4web.sh.in 
  Removed files:
    devel/p4web          pkg-install 
    devel/p4web/files    perforce.conf.in perforce.sh.in 
  Log:
  P4 web client, version 2009.2.228098
  
  http://www.perforce.com/perforce/products/p4web.html
  
  PR:             ports/145824
  Submitted by:   gordon
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.85      +29 -94    ports/devel/p4web/Makefile
  1.17      +3 -0      ports/devel/p4web/distinfo.freebsd54x86 (new)
  1.18      +3 -0      ports/devel/p4web/distinfo.freebsd54x86_64 (new)
  1.11      +3 -15     ports/devel/p4web/distinfo.freebsd60x86
  1.11      +3 -15     ports/devel/p4web/distinfo.freebsd60x86_64
  1.15      +3 -15     ports/devel/p4web/distinfo.freebsd61sparc64
  1.1       +3 -0      ports/devel/p4web/distinfo.freebsd70x86 (new)
  1.1       +3 -0      ports/devel/p4web/distinfo.freebsd70x86_64 (new)
  1.1       +62 -0     ports/devel/p4web/files/p4web.sh.in (new)
  1.5       +0 -75     ports/devel/p4web/files/perforce.conf.in (dead)
  1.10      +0 -62     ports/devel/p4web/files/perforce.sh.in (dead)
  1.6       +0 -52     ports/devel/p4web/pkg-install (dead)
  1.5       +2 -4      ports/devel/p4web/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 dfilter freebsd_committer 2010-05-10 16:09:01 UTC
rene        2010-05-10 15:08:47 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Log:
  Hook up devel/p4d, devel/p4ftpd, devel/p4p, and devel/p4web to the build
  
  PR:             ports/145824
  Submitted by:   gordon
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.3921    +4 -0      ports/devel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 dfilter freebsd_committer 2010-05-21 00:34:56 UTC
rene        2010-05-20 23:34:47 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
    devel                Makefile 
  Removed files:
    devel/perforce       Makefile distinfo.freebsd60x86 
                         distinfo.freebsd60x86_64 
                         distinfo.freebsd61sparc64 pkg-descr 
                         pkg-install pkg-plist 
    devel/perforce/files perforce.conf.in perforce.sh.in 
  Log:
  Remove old devel/perforce
  
  The server parts are now in devel/p4d, devel/p4p, devel/p4ftpd, and devel/p4web
  
  PR:             ports/145824
  Submitted by:   gordon
  Approved by:    tabthorpe (mentor)
  
  Revision  Changes    Path
  1.2143    +2 -1      ports/MOVED
  1.3931    +0 -1      ports/devel/Makefile
  1.84      +0 -120    ports/devel/perforce/Makefile (dead)
  1.10      +0 -15     ports/devel/perforce/distinfo.freebsd60x86 (dead)
  1.10      +0 -15     ports/devel/perforce/distinfo.freebsd60x86_64 (dead)
  1.14      +0 -15     ports/devel/perforce/distinfo.freebsd61sparc64 (dead)
  1.4       +0 -75     ports/devel/perforce/files/perforce.conf.in (dead)
  1.9       +0 -62     ports/devel/perforce/files/perforce.sh.in (dead)
  1.4       +0 -4      ports/devel/perforce/pkg-descr (dead)
  1.5       +0 -52     ports/devel/perforce/pkg-install (dead)
  1.4       +0 -4      ports/devel/perforce/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 Rene Ladan freebsd_committer 2010-05-21 00:35:36 UTC
State Changed
From-To: open->closed

Committed, thanks